> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company employees



## OpenAPI

````yaml get /employees
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /employees:
    get:
      tags:
        - Employees
      summary: Get company employees
      operationId: getEmployees
      parameters:
        - name: pageOffset
          in: query
          required: false
          schema:
            type: number
            example: '150'
          description: >-
            This is the pagination offset value. The record number you would
            like to start from. This offset value starts at 0.
        - name: pageSize
          in: query
          required: false
          schema:
            type: number
            example: '10'
          description: The number of employees to return for each page.
      responses:
        '200':
          description: Employees has been returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployeesResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: route not found
          content:
            application/json; charset=utf-8:
              example: route not found
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              example: >-
                Something went wrong. Please contact the administrator if
                problems persist.
      deprecated: true
components:
  schemas:
    EmployeesResponse:
      type: object
      properties:
        employees:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: The unique UUID identifier of the employee
              firstName:
                type: string
                description: Employee first name
              lastName:
                type: string
                description: Employee last name
              email:
                type: string
                description: Email
              jobTitle:
                type: string
                description: Job title
              role:
                type: string
                description: Role
              phone:
                type: string
                description: Phone number
              avatar:
                type: object
                properties:
                  url:
                    type: string
                    description: Employee avatar location
              code:
                type: string
                description: External Id
              teamId:
                type: string
                description: Team identifier
            required:
              - id
        metadata:
          type: object
          description: Additional metadata including pagination information
          properties:
            pageInfo:
              type: object
              description: Pagination information.
              properties:
                nextPageOffset:
                  type: number
                  description: >-
                    The row number that should be used in the next fetch for the
                    next page offset
                pageSize:
                  type: number
                  description: The number of items returned in this page
                totalCount:
                  type: number
                  description: >-
                    The total number of items mapped to the filter criteria
                    supplied
              required:
                - pageSize
                - totalCount
      required:
        - metadata
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````